gr-baz Package

Classes | Namespaces | Macros | Enumerations | Functions
rtl2832-tuner_fc0013.h File Reference

FC0013 tuner module declaration. More...

`#include "rtl2832.h"`
Include dependency graph for rtl2832-tuner_fc0013.h:

Go to the source code of this file.

## Classes
class | RTL2832_NAMESPACE::TUNERS_NAMESPACE::fc0013

## Namespaces
namespace | RTL2832_NAMESPACE
namespace | RTL2832_NAMESPACE::TUNERS_NAMESPACE

## Macros
#define | FC0013_RF_FREQ_HZ_DEFAULT 50000000
#define | FC0013_BANDWIDTH_MODE_DEFAULT FC0013_BANDWIDTH_8000000HZ

## Enumerations
enum | FC0013_TRUE_FALSE_STATUS { FC0013_FALSE , FC0013_TRUE }
enum | FC0013_I2C_STATUS { FC0013_I2C_SUCCESS , FC0013_I2C_ERROR }
enum | FC0013_FUNCTION_STATUS { FC0013_FUNCTION_SUCCESS , FC0013_FUNCTION_ERROR }
enum | FC0013_BANDWIDTH_MODE { FC0013_BANDWIDTH_6000000HZ = 6 , FC0013_BANDWIDTH_7000000HZ = 7 , FC0013_BANDWIDTH_8000000HZ = 8 }
enum | FC0013_LNA_GAIN_VALUE { FC0013_LNA_GAIN_LOW = 0x00 , FC0013_LNA_GAIN_MIDDLE = 0x08 , FC0013_LNA_GAIN_HIGH_17 = 0x11 , FC0013_LNA_GAIN_HIGH_19 = 0x10 }

## Functions
int | FC0013_Open (RTL2832_NAMESPACE::tuner *pTuner)
int | FC0013_SetFrequency (RTL2832_NAMESPACE::tuner *pTuner, unsigned long Frequency, unsigned short Bandwidth)
int | FC0013_SetVhfTrack (RTL2832_NAMESPACE::tuner *pTuner, unsigned long Frequency)
void | fc0013_GetTunerType (RTL2832_NAMESPACE::tuner *pTuner, int *pTunerType)
void | fc0013_GetDeviceAddr (RTL2832_NAMESPACE::tuner *pTuner, unsigned char *pDeviceAddr)
int | fc0013_Initialize (RTL2832_NAMESPACE::tuner *pTuner)
int | fc0013_SetRfFreqHz (RTL2832_NAMESPACE::tuner *pTuner, unsigned long RfFreqHz)
int | fc0013_GetRfFreqHz (RTL2832_NAMESPACE::tuner *pTuner, unsigned long *pRfFreqHz)
int | fc0013_SetBandwidthMode (RTL2832_NAMESPACE::tuner *pTuner, int BandwidthMode)
int | fc0013_GetBandwidthMode (RTL2832_NAMESPACE::tuner *pTuner, int *pBandwidthMode)
int | fc0013_RcCalReset (RTL2832_NAMESPACE::tuner *pTuner)
int | fc0013_RcCalAdd (RTL2832_NAMESPACE::tuner *pTuner, int RcValue)

## Detailed Description

FC0013 tuner module declaration.

One can manipulate FC0013 tuner through FC0013 module. FC0013 module is derived from tuner module.

The following context is implemented for FC0013 source code.

## Macro Definition Documentation

## ◆ FC0013_BANDWIDTH_MODE_DEFAULT

#define FC0013_BANDWIDTH_MODE_DEFAULT FC0013_BANDWIDTH_8000000HZ

## ◆ FC0013_RF_FREQ_HZ_DEFAULT

#define FC0013_RF_FREQ_HZ_DEFAULT 50000000

## Enumeration Type Documentation

## ◆ FC0013_BANDWIDTH_MODE

enum FC0013_BANDWIDTH_MODE

Enumerator
FC0013_BANDWIDTH_6000000HZ |
FC0013_BANDWIDTH_7000000HZ |
FC0013_BANDWIDTH_8000000HZ |

## ◆ FC0013_FUNCTION_STATUS

enum FC0013_FUNCTION_STATUS

Enumerator
FC0013_FUNCTION_SUCCESS |
FC0013_FUNCTION_ERROR |

## ◆ FC0013_I2C_STATUS

enum FC0013_I2C_STATUS

Enumerator
FC0013_I2C_SUCCESS |
FC0013_I2C_ERROR |

## ◆ FC0013_LNA_GAIN_VALUE

enum FC0013_LNA_GAIN_VALUE

Enumerator
FC0013_LNA_GAIN_LOW |
FC0013_LNA_GAIN_MIDDLE |
FC0013_LNA_GAIN_HIGH_17 |
FC0013_LNA_GAIN_HIGH_19 |

## ◆ FC0013_TRUE_FALSE_STATUS

enum FC0013_TRUE_FALSE_STATUS

Enumerator
FC0013_FALSE |
FC0013_TRUE |

## Function Documentation

## ◆ fc0013_GetBandwidthMode()

int fc0013_GetBandwidthMode | ( | RTL2832_NAMESPACE::tuner * | pTuner,
|  | int * | pBandwidthMode
| ) |  |

## ◆ fc0013_GetDeviceAddr()

void fc0013_GetDeviceAddr | ( | RTL2832_NAMESPACE::tuner * | pTuner,
|  | unsigned char * | pDeviceAddr
| ) |  |

## ◆ fc0013_GetRfFreqHz()

int fc0013_GetRfFreqHz | ( | RTL2832_NAMESPACE::tuner * | pTuner,
|  | unsigned long * | pRfFreqHz
| ) |  |

## ◆ fc0013_GetTunerType()

void fc0013_GetTunerType | ( | RTL2832_NAMESPACE::tuner * | pTuner,
|  | int * | pTunerType
| ) |  |

## ◆ fc0013_Initialize()

int fc0013_Initialize | ( | RTL2832_NAMESPACE::tuner * | pTuner | ) |

## ◆ FC0013_Open()

int FC0013_Open | ( | RTL2832_NAMESPACE::tuner * | pTuner | ) |

## ◆ fc0013_RcCalAdd()

int fc0013_RcCalAdd | ( | RTL2832_NAMESPACE::tuner * | pTuner,
|  | int | RcValue
| ) |  |

## ◆ fc0013_RcCalReset()

int fc0013_RcCalReset | ( | RTL2832_NAMESPACE::tuner * | pTuner | ) |

## ◆ fc0013_SetBandwidthMode()

int fc0013_SetBandwidthMode | ( | RTL2832_NAMESPACE::tuner * | pTuner,
|  | int | BandwidthMode
| ) |  |

## ◆ FC0013_SetFrequency()

int FC0013_SetFrequency | ( | RTL2832_NAMESPACE::tuner * | pTuner,
|  | unsigned long | Frequency,
|  | unsigned short | Bandwidth
| ) |  |

## ◆ fc0013_SetRfFreqHz()

int fc0013_SetRfFreqHz | ( | RTL2832_NAMESPACE::tuner * | pTuner,
|  | unsigned long | RfFreqHz
| ) |  |

## ◆ FC0013_SetVhfTrack()

int FC0013_SetVhfTrack | ( | RTL2832_NAMESPACE::tuner * | pTuner,
|  | unsigned long | Frequency
| ) |  |